Project

General

Profile

Bug #105

Debian Jessie Complication Error: wx3.0

Added by Anonymous almost 4 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
Low
Assignee:
-
Target version:
-
Start date:
02/20/2015
Due date:
% Done:

0%


Description

As reported by icefinger on GitHub

Dear dev,
The Jessie contains only wx3.0, that changed the access to a constructor to a ::Get (), resulting on a compilation error:
/usr/include/wx-3.0/wx/unix/stdpaths.h:56:5: error: ‘wxStandardPaths::wxStandardPaths()’ is protected

as far I could saw this error concern Main/Application.cpp

History

#1 Updated by Kyle Marek over 2 years ago

  • Status changed from New to Resolved

Resolved in 380119ada6f0c191c3297c1a6b03adfb629d101f..6854377507f5a36b5f25b7333fb691aa73b36d6c. Expected to be released with v0.7.4.2.

#2 Updated by Niklas Lemcke over 2 years ago

  • Assignee set to Niklas Lemcke

#3 Updated by Niklas Lemcke over 2 years ago

  • Assignee deleted (Niklas Lemcke)

Also available in: Atom PDF